%bcond check 1

Name:           cmor
Version:        3.9.0
Release:        1%{?dist}
Summary:        Climate Model Output Rewriter

%global         forgeurl https://github.com/PCMDI/%{name}/
%global         tag %{version}
%forgemeta

License:        Public Domain
URL:            https://%{name}.llnl.gov/
Source0:        %{forgesource}

# Upstream: https://github.com/PCMDI/cmor/pull/780
Patch0000:      udunits2-netcdf-flags-configure.patch
Patch0001:      destdir-prefix.patch

BuildRequires:  gcc-gfortran
BuildRequires:  json-c-devel
BuildRequires:  netcdf-devel
BuildRequires:  udunits2-devel
BuildRequires:  libuuid-devel

%description
CMOR is used to produce CF-compliant netCDF files. The structure of the files
created by CMOR and the metadata they contain fulfill the requirements of many
of the climate community’s standard model experiments (which are referred to
here as "MIPs" and include, for example, AMIP, PMIP, APE, and IPCC [DN1]
scenario runs).

CMOR was not designed to serve as an all-purpose writer of CF-compliant netCDF
files, but simply to reduce the effort required to prepare and manage MIP model
output. Although MIPs encourage systematic analysis of results across models,
this is only easy to do if the model output is written in a common format with
files structured similarly and with sufficient metadata uniformly stored
according to a common standard. Individual modeling groups store their data in
different ways, but if a group can read its own data, then it should easily be
able to transform the data, using CMOR, into the common format required by the
MIPs. The adoption of CMOR as a standard code for exchanging climate data will
facilitate participation in MIPs because after learning how to satisfy the
output requirements of one MIP, it will be easy to prepare output for other
MIPs.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%prep
%forgeautosetup -p1

%build
%configure \
  --with-udunits2=%{_prefix}
%make_build

%install
%make_install

%check
%if %{with check}
%make_build test
%endif

%files
%license LICENSE
%doc README.md
%doc RELEASE-NOTES
%{_libdir}/*.so.*

%files          devel
%{_includedir}/*
%{_libdir}/*.a

%changelog
* Sun Mar  9 2025 Matthew Krupcale <mkrupcale@gmail.com> - 3.9.0-1
- Initial packaging
